GRUB-MKSTANDALONE(1)

NOM
grub-mkstandalone – Créer une image de GRUB basée sur memdisk

SYNOPSIS
grub-mkstandalone [OPTION...] [OPTION] SOURCE...

DESCRIPTION
Créer une image autonome (contenant tous les modules) au format choisi.

--compress=no|xz|gz|lzo
    compresser les fichiers GRUB [optionnel]

--disable-shim-lock
    Désactiver le vérificateur de shim_lock.

--dtb=FICHIER
    intégrer un DTB spécifique

-d, --directory=RÉP
    Utiliser les images et les modules dans RÉP [default=/usr/lib/grub/<platform>]

--fonts=FONTES
    Installer des FONTES [par défaut=unicode].

--install-modules=MODULES
    Installer seulement les MODULES et leurs dépendances [par défaut=tous].

-k, --pubkey=FICHIER
    Intégrer FICHIER comme clé publique pour la vérification de signature.

--locale-directory=RÉP Utiliser les traductions PRÉSENTES dans RÉP.
    [défaut=/usr/share/locale]

--locales=LOCALES
    Installer seulement les LOCALES [par défaut=toutes].

--modules=MODULES
    précharger les MODULES indiqués

--sbat=FICHIER
    Métadonnées SBAT.

--themes=THÈMES
    Installer les THÈMES [par défaut=starfield].

-v, --verbose
    Afficher des messages détaillés.

--core-compress=xz|none|auto
    Choisir le type de compression à utiliser pour core.img.

-o, --output=FICHIER
    Enregistrer la sortie dans FICHIER [obligatoire].

-O, --format=FICHIER
    Générer une image au FORMAT parmi les formats : i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-?, --help
    Afficher l’aide-mémoire.

--usage
    Afficher un court message pour l’utilisation.

-V, --version
    Afficher la version du programme.

Les paramètres obligatoires ou facultatifs pour les options de forme longue le sont aussi pour les options correspondantes de forme courte.

La syntaxe Graft point (« à point de greffe », par exemple /boot/grub/grub.cfg=./grub.cfg) est admise.

SIGNALER DES BOGUES
Signaler toute erreur à <bug-grub@gnu.org>.

VOIR AUSSI
grub-mkimage(1)

La documentation complète de grub-mkstandalone est disponible dans un manuel Texinfo. Si les programmes info et grub-mkstandalone sont correctement installés, la commande

    info grub-mkstandalone

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.